Summary: 	A high-level language for numerical computations.
Name:		scilab 
Version:	2.6 
Release:	1	
License: 	SCILAB - GPLish
Group:		Applications/Engineering 
# CAUTION: pristine source is actually tar.gzipped
Source0: 	ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab/distributions/%{name}-%{version}.src.tar.bz2
Source10: 	%{name}-icons.tar.gz
Source20: 	scilab.el
Patch0: 	scilab-2.6-nopvmdist.patch
Patch1:		scilab-2.6-optflags.patch
URL: 		http://www.scilab.org/
BuildRequires: 	gcc-g77 perl tcl tk Xaw3d-devel 
BuildRequires: 	autoconf
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Excludearch: 	sparc ia64

%description
Scilab is a high-level language, primarily intended for numerical
computations.  Scilab includes a number of toolboxes and on-line
documentation.

#define flavor emacs xemacs
%define flavor emacs
%{?!_applnkdir:%define _applnkdir	%{_sysconfdir}/X11/applnk }
%{?!_gicondir:%define _gicondir	%{_datadir}/pixmaps }
%{?!_kicondir:%define _kicondir	%{_datadir}/icons }
%{?!_mimelnkdir:%define _mimelnkdir	%{_datadir}/mimelnk }
%{?!_x11appdir:%define _x11appdir	/usr/X11R6/lib/X11/app-defaults }



%prep
%setup -q -a 10

%patch0 -p1
%patch1 -p1 -b .optflags


%build
%__libtoolize --copy --force
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
#export CC_OPTIONS="$RPM_OPT_FLAGS"
#export FF_OPTIONS="$RPM_OPT_FLAGS"
rm -f config.cache

autoconf

./configure --target=%{_target_cpu} \
	--enable-shared --enable-static=no --with-xaw3d --with-tk  \
	--prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}

	

make %{?_smp_mflags} all
#make CC_OPTIONS="$RPM_OPT_FLAGS" FF_OPTIONS="$RPM_OPT_FLAGS" all

make tarbindist 2>&1 > /dev/null

cp -af %SOURCE20 .
for i in %{flavor};do
	$i -batch -q -no-site-file -f batch-byte-compile %{name}.el
	mv %{name}.elc $i-%{name}.elc
done



%install
rm -rf $RPM_BUILD_ROOT
#makeinstall

mkdir -p $RPM_BUILD_ROOT{%_libdir,%_bindir}
( cd $RPM_BUILD_ROOT%_libdir; tar xf $RPM_BUILD_DIR/scilab-%{version}/scilab-2.*-bin.tar )

# Nuke dependencies on /bin/SCILABGS and /bin/sh5
( cd $RPM_BUILD_ROOT%_libdir/scilab-*
    chmod -x ./scripts/scilab.g
    perl -pi -e s+/bin/sh5+/bin/sh+ ./bin/dold
)

# Nuke attempts to setenv SCI from build directory.
( cd $RPM_BUILD_ROOT%_libdir/scilab-*
  for F in `grep -l ${RPM_BUILD_DIR} ./util/* ./bin/*`
  do
    perl -pi -e "s+${RPM_BUILD_DIR}+/usr/lib+" ${F}
  done
)

# Add /usr/bin/scilab symlink
( cd $RPM_BUILD_ROOT%_bindir
  ln -s ../lib/scilab-*/bin/scilab scilab
)

# Clean up some perms stuff so we don't get bogus dependencies
chmod a-x `find $RPM_BUILD_ROOT%_libdir/scilab-*/ -type f -name "Makefile.*"`

# Icons 
install -d $RPM_BUILD_ROOT/{%{_gicondir},%{_kicondir}}
install -m644 %{name}.32.png $RPM_BUILD_ROOT%_gicondir/%{name}.png

for size in 16 22 32 48 64 ; do
  [ -f %{name}.${size}.png ] && \
  install -m644 -D %{name}.${size}.png \
	$RPM_BUILD_ROOT%_kicondir/hicolor/${size}x${size}/%{name}.png
done

# Menu 
install -d $RPM_BUILD_ROOT/%{_applnkdir}/Applications
cat << EOF > $RPM_BUILD_ROOT/%{_applnkdir}/Applications/%{name}.desktop
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Type=Application
Encoding=UTF-8
EOF

# (X)emacs
for i in %{flavor};do
	mkdir -p %{buildroot}%{_datadir}/$i/site-lisp/
	mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
	install -m644 $i-%{name}.elc %{buildroot}%{_datadir}/$i/site-lisp/
	[[ $i = emacs ]] && install -m644 %{name}.el %{buildroot}%{_datadir}/emacs/site-lisp/
done

mkdir -p %buildroot%{_datadir}/emacs/site-lisp/site-start.d
cat << EOF > %buildroot%{_datadir}/emacs/site-lisp/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE20})}
EOF


#%post
#{update_menus}

#%postun
#{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../scilab-2.*-bin.tar

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS CHANGES README license.txt 
%{_bindir}/*
%{_libdir}/%{name}-%{version}
%{_gicondir}/*.png
%{_kicondir}/??color/*/*.png
%{_applnkdir}/*/*.desktop
%config(noreplace) %{_datadir}/emacs/site-lisp/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*

%changelog
* Thu Nov 14 2002 Rex Dieter <rdieter@unl.edu> 2.6-1
- new/shiny icons (both gnome and kde)

* Wed Apr 03 2002 Rex Dieter <rdieter@unl.edu>
- smorch onto rh 7.x

* Thu Dec 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-2mdk
- add emacs mode

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> :
	- use Xaw3d (fix crash when exporting graphics, see website)
	- BuildRequires: gcc-g77 Xaw3d-devel
	- use libtoolize

* Wed Jul 18 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.6-1mdk
- updated by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- updated to 2.6
	- menu entry and icons
